com.opensymphony.xwork2.ognl.accessor

## Class ParameterPropertyAccessor

- java.lang.Object
- - ognl.ObjectPropertyAccessor
  - - com.opensymphony.xwork2.ognl.accessor.ParameterPropertyAccessor

- All Implemented Interfaces:
    ognl.PropertyAccessor

      public class ParameterPropertyAccessor
      extends ognl.ObjectPropertyAccessor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterPropertyAccessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getProperty(Map context, Object target, Object oname)`
    `void` | `setProperty(Map context, Object target, Object oname, Object value)`

    - ### Methods inherited from class ognl.ObjectPropertyAccessor

      `getPossibleProperty, getPropertyClass, getSourceAccessor, getSourceSetter, hasGetProperty, hasGetProperty, hasSetProperty, hasSetProperty, setPossibleProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterPropertyAccessor

          public ParameterPropertyAccessor()

  - ### Method Detail

    - #### getProperty

          public Object getProperty(Map context,
                                    Object target,
                                    Object oname)
                             throws ognl.OgnlException

      Specified by:
        `getProperty` in interface `ognl.PropertyAccessor`
      Overrides:
        `getProperty` in class `ognl.ObjectPropertyAccessor`
      Throws:
        `ognl.OgnlException`

    - #### setProperty

          public void setProperty(Map context,
                                  Object target,
                                  Object oname,
                                  Object value)
                           throws ognl.OgnlException

      Specified by:
        `setProperty` in interface `ognl.PropertyAccessor`
      Overrides:
        `setProperty` in class `ognl.ObjectPropertyAccessor`
      Throws:
        `ognl.OgnlException`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.